---
- name: '{{ notification }} | Create config directory'
  file:
    path: '~/.config/{{ notification }}'
    state: directory
    mode: 0755

- name: Copy notification icons
  synchronize:
    src: icons/
    dest: '~/.config/{{ notification }}/'

- name: dunst | Copy config
  template:
    src: dunstrc.j2
    dest: ~/.config/dunst/dunstrc
    force: yes
    mode: 0644
  when: notification == 'dunst'

- name: mako | Copy config
  template:
    src: config.j2
    dest: ~/.config/mako/config
    force: yes
    mode: 0644
  when: notification == 'mako'

- name: fnott | Copy config
  template:
    src: fnott.j2
    dest: ~/.config/fnott/fnott.ini
    force: yes
    mode: 0644
  when: notification == 'fnott'
